Index: Makefile
===================================================================
--- Makefile	(revision 99265)
+++ Makefile	(working copy)
@@ -105,7 +105,7 @@
 ASTLDFLAGS+=$(LDOPTS)
 
 #Uncomment this to see all build commands instead of 'quiet' output
-#NOISY_BUILD=yes
+NOISY_BUILD=yes
 
 ASTTOPDIR:=$(CURDIR)
 
@@ -113,7 +113,7 @@
 OVERWRITE=y
 
 # Include debug and macro symbols in the executables (-g) and profiling info (-pg)
-DEBUG=-g3
+#DEBUG=-g3
 
 
 # Define standard directories for various platforms
@@ -221,7 +221,7 @@
 ASTCFLAGS+=-pipe
 endif
 
-ASTCFLAGS+=-Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations $(DEBUG)
+ASTCFLAGS+=-Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations 
 
 ASTCFLAGS+=-include $(ASTTOPDIR)/include/asterisk/autoconfig.h
 
Index: Makefile.rules
===================================================================
--- Makefile.rules	(revision 99265)
+++ Makefile.rules	(working copy)
@@ -40,6 +40,9 @@
 
     OPTIMIZE?=-O6
     ASTCFLAGS+=$(OPTIMIZE)
+else
+    OPTIMIZE?=-O0
+    ASTCFLAGS+=-g3 $(OPTIMIZE)
 endif
 
 # build rules for various targets
